#
# spec file for package wireless-regdb
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           wireless-regdb
Version:        2015.07.20
Release:        2.1
Summary:        802.11 regulatory domain database
License:        ISC
Group:          Hardware/Wifi
Url:            http://wireless.kernel.org/en/developers/Regulatory#The_regulatory_database
Source:         https://www.kernel.org/pub/software/network/wireless-regdb/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
The 802.11 regulatory domain database is used by CRDA and provides
allowed frequency ranges for 802.11 wireless drivers.

%prep
%setup -q

%build

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}

%files
%defattr(-,root,root)
%dir %{_libexecdir}/crda
%dir %{_libexecdir}/crda/pubkeys
%{_libexecdir}/crda/regulatory.bin
%{_libexecdir}/crda/pubkeys/*pem
%{_mandir}/man5/regulatory.bin.5.gz

%changelog
* Sun Sep  6 2015 mpluskal@suse.com
- Update to 2015.07.20
* Sat Mar 28 2015 mpluskal@suse.com
- Update to 2015.01.30
* Sun Nov 16 2014 crrodriguez@opensuse.org
- Update 2014.10.07
* Sun Sep  7 2014 crrodriguez@opensuse.org
- Update to 2014.06.13
* Wed Nov 27 2013 crrodriguez@opensuse.org
- version 2013.10.11 upstream tarballs were incorrectly generated
  and contained an invalid regulatory database, update to version
  2013.11.27 in which the problem has been corrected.
* Sat Nov 23 2013 crrodriguez@opensuse.org
- update to 2013.10.11
- remove bogus Requires
* Fri Apr  5 2013 idonmez@suse.com
- Add Source URL, see https://en.opensuse.org/SourceUrls
- Cleanup spec file
- Update database to the most recent 2013.02.13
* Mon Dec 31 2012 crrodriguez@opensuse.org
- Update database to the most recent 2012.06.08
* Wed Jul 11 2012 cfarrell@suse.com
- license update: ISC
  The license in the LICENSE file is ISC, not MIT
  (http://www.spdx.org/licenses/ISC)
* Fri Jul  6 2012 cfarrell@suse.com
- license update: MIT
  Look at the COPYING file
* Fri Mar  5 2010 ro@suse.de
- update to 2009.11.25
* Wed Sep  9 2009 vlado@suse.cz
- Updated to 2009.09.08
* Tue Jul 28 2009 aj@suse.de
- Update to 2009.04.30:
  * KR,BN,DE reg updates
  * enable passive scanning for world regdomain on other channels
* Mon Feb  9 2009 hschaa@suse.de
- Update to 2009.01.30
- Needed for fate#305301
* Sat Jan 24 2009 helmut.schaa@googlemail.com
- Initial package
